This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 962531 - (CVE-2002-2443) CVE-2002-2443 krb5: UDP ping-pong flaw in kpasswd
CVE-2002-2443 krb5: UDP ping-pong flaw in kpasswd
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20020616,repor...
: Security
Depends On: 962534 969266 969267 969268 969269
Blocks: 962536
  Show dependency treegraph
 
Reported: 2013-05-13 15:17 EDT by Vincent Danen
Modified: 2015-11-24 10:33 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 03:07:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-05-13 15:17:25 EDT
A flaw in certain programs that handle UDP traffic was discovered and assigned the name CVE-1999-0103 (that CVE specifically mentions echo and chargen as vulnerable).  In 2002, a Nessus plugin was included [1] that reference this CVE name, but was for the kpasswd service.  Until recently, this issue had not been reported upstream.  This issue has since been reported upstream [2] and is now fixed [3].

If a malicious remote user were to spoof their IP address to that of another server running kadmind with the password change port (kpasswd, port 464), or to the target server's IP address itself), kpasswd will pass UDP packets to the spoofed address and reply each time.  This can be used to consume bandwidth and CPU on the affected servers running kadmind.

This should be fixed in the for krb5-1.11.3 release.

[1] http://marc.info/?l=nessus&m=102418951803893&w=2
[2] http://krbdev.mit.edu/rt/Ticket/Display.html?id=7637
[3] https://github.com/krb5/krb5/commit/cf1a0c411b2668c57c41e9c4efd15ba17b6b322c
Comment 1 Vincent Danen 2013-05-13 15:22:19 EDT
Created krb5 tracking bugs for this issue

Affects: fedora-all [bug 962534]
Comment 2 Fedora Update System 2013-05-21 04:37:52 EDT
krb5-1.10.3-17.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2013-05-23 08:36:06 EDT
krb5-1.10.2-12.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-05-25 23:45:13 EDT
krb5-1.11.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Vincent Danen 2013-05-30 16:17:19 EDT
To work-around this issue, you could use an iptables rule similar to this:

-A INPUT -i eth0 -s [IP] -p udp -m state --state NEW -m udp --dport 464		 -j REJECT

where [IP] is the IP of the host that kpasswd is running on (the above added to /etc/sysconfig/iptables).  That should prevent incoming packets to kpasswd that appear to come from the host itself (but still allow the localhost to connect).

Alternatively, if you are using something like IPA, you wouldn't be using kpasswd anyways, so you can firewall that port off completely.  Likewise, you could firewall it and only allow access from trusted hosts and reject all others.
Comment 8 errata-xmlrpc 2013-06-12 12:53:02 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2013:0942 https://rhn.redhat.com/errata/RHSA-2013-0942.html

Note You need to log in before you can comment on or make changes to this bug.